%global uuid    com.gitlab.bitseater.%{name}

Name:           meteo
Version:        0.9.9.2
Release:        %mkrel 1
Summary:        Forecast application using OpenWeatherMap API

License:        GPLv3+
Group:          Graphical desktop/Other
URL:            https://gitlab.com/bitseater/meteo
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  vala-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  lib64appstream-glib-devel
BuildRequires:  lib64appindicator3-devel
BuildRequires:  lib64json-glib-devel
BuildRequires:  lib64webkit2-devel

Requires:       hicolor-icon-theme

%description
Know the forecast of the next hours & days.
Developed with Vala & Gtk, using OpenWeatherMap API.
Features:

- Current weather, with information about temperature, pressure, wind speed and
  direction, sunrise & sunset.
- Forecast for next 18 hours.
- Forecast for next five days.
- Choose your units (metric, imperial or british).
- Choose your city, with maps help.
- Awesome maps with weather info.
- System tray indicator.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%post
%update_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%clean_menus
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%{_bindir}
%{_datadir}

%changelog
* Mon Dec 18 2023 yodelu - 0.0.9.2-1pclos2023
- import
